# Set-RASBrokerPriority.md

## NAME

Set-RASBrokerPriority

## SYNOPSIS

Change the priority of a RAS Connection Broker server.

## SYNTAX

**Set-RASBrokerPriority** \[[Id](#id-string)] *(uint)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASBrokerPriority \[-[InputObject](#inputobject)] *(*[*Broker*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)*)* -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASBrokerPriority \[[Server](#server-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[Direction](#Direction) {Up | Down} \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Changes the priority of a RAS Connection Broker by moving it up or down in the priority list.

## PARAMETERS

## Server (string)

The name of the RAS Connection Broker server.

This must be the actual server name used in the Parallels RAS farm.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID of the RAS Connection Broker server.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the RAS Connection Broker server.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md))

An object of type Broker representing the RAS Connection Broker.

To obtain the object, use the Get-RASBroker cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## Direction ([MoveDirection](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/movedirection.md))

The direction to move the Broker object: Up or Down (changes the priority of the Connection Broker accordingly).

Possible values: Up, Down

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Broker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/broker.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASBrokerPriority -Id 5 -Direction Up

Changes the priority of the specified (by ID) RAS Connection Broker server (moving 1 priority up).\
\*\*---------- EXAMPLE 2 ----------

Set-RASBrokerPriority -InputObject $Broker -Direction Down

Changes the priority of the specified (by InputObject) RAS Connection Broker server (moving 1 priority down).

## RELATED LINKS

* [Get-RASBroker](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasbroker.md)
* [Invoke-RASBrokerPromoteToPrimary](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasbrokerpromotetoprimary.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasbrokerpriority.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
